#!/bin/bash

cd "$(dirname "$0")"
echo "start backup limesurvey {{ limesurvey_name }}"
COMPOSE_INTERACTIVE_NO_CLI=1
if [ -z `/usr/bin/docker compose ps -q db` ] || [ -z `/usr/bin/docker ps -q --no-trunc | grep $(/usr/bin/docker compose ps -q db)` ]; then
	echo "Database is not running. Backup limesurvey {{ limesurvey_name }} aborted"
else
    /usr/bin/docker compose exec -T db pg_dump -U {{ pg_limesurvey_user }} {{ pg_limesurvey_dbname }}  > {{ pg_limesurvey_backupfile }}
    echo "backup limesurvey {{ limesurvey_name }} done"
fi
